<p align="center">
	“Portions of the materials used to create this content/mod are trademarks and/or copyrighted works of Ludeon Studios Inc. All rights reserved by Ludeon. This content/mod is not official and is not endorsed by Ludeon.”
</p>

# Description
Android Tiers Reforged is a total rework of Atlas' and ARandomKiwi's works with the eventual goal to make mechanical colonists and animals as closely linked to RimWorld's core systems as possible while respecting many original mechanics of the mod. Improved performance, dynamic compatibility, and code formatting are key priorities, and the code has undergone a near complete rewrite across the board to these ends.

Android Tiers itself is a mod that intends to add mechanical colonists, animals, and related mechanics to RimWorld to create a completely new playstyle and bring a very different experience to the table.

## Features
* Introduction of a generic mechanical colonist and animal system.
* Four tiers of craftable androids to interact, fight, and recruit across 2 new factions and 1 player scenario.
* Mechanical utility and military drones with animalistic intelligence fulfilling specific target roles for colonies.
* A special type of massive mechanized warforms to turn the tide of battles and the colony's future deliverable via orbital targeter.
* A system for emotionless but fully controllable drones.
* Ability to adjust what races are and are not considered mechanical, even for other mod-added races.
* Mechanical equivalents of vanilla prosthetics and medicine.
* A new "mechanic" work type that fulfills the role of doctors for mechanical units, using crafting instead of medical skills.
* Special mechanical-only surgeries and operations for resurrecting, converting, and repairing pawns.
* The ability to use surrogate pawns to extend the reach and power of individual pawns.
* The ability to use a SkyMind network to upload, download, permute, or replicate pawn consciousnesses.
* A fully functioning Skill, Security, and Hacking server system and various related tools, incidents, and abilities.
* A full research tree to delve into a more mechanized future.
* New security options such as launching or laying traps of swarms of microscythers for unwary raiders.
* A vast swath of new mechanical specific hediffs, body parts, diseases, and implants.
* A special maintenance need for mechanical pawns to fulfill in order to preserve full functionality.

## Future Expansion Concepts (Unscheduled and very low priority)
* Precepts, memes, deities, rituals, and related content for Ideology owners.
* A mechanical Empire waging war against organic life with its own joinable hierarchy, mechanics, and features.
* The mechanical revolution.
* The reintroduction (besides M7) of the M-Series combat drones, complete with variants 1 through 9 with unique features.
* Enigmatic quests, requests, and demands of the Archotechs and their "descendants" - with matching rewards.
* Compatibility with all of the things.

## Fair Warning
* I like balance.
* The day that genes are supported for ATR will arrive 2+ months after someone makes a gene framework system that is distinct and functional for all races and fully supports extensibility and modification. Don't hold your breath.
* I can't help you with bugs unless you give me a hugslog and context for an error.

## Known Issues / Incompatibilities
- Mechlinks and Neuroformers are not usable on androids due to the fact that they are hardcoded to check against the Brain bodypart and also are tied to psychic sensitivity. This is not a bug. If you read the item descriptions, it is pretty clear they are designed explicitly and specifically for human physiology.
- Mechanical units will not respond to overheating or hypothermia correctly at the moment as RimWorld is hardcoded to check against the hediffs that androids no longer have.
- "Smart Medicine" and "Common Sense" need to be loaded at the end of your modlist or it will cause issues. That's a general rule, but ATR really depends on you fixing your modlists.
- Activating Self-Tend on a mechanical pawn will throw a message at you complaining that the Doctor work type is not assigned even if the pawn has the Mechanic work type assigned (It's harmless, mechanical pawns will self-tend based on Mechanic, not Doctor).
- Blood Rot and Paralytic Abasia do not function on androids at the moment. Work is planned to add mechanical variants for them.
- Prepare Carefully has an annoying tendency to break various features of alien races, has serious performance issues, and can seriously damage the functionality of Hediffs and other mechanics. Use Character Editor instead if you need a pawn editor.

## Links
[Discord](https://discord.gg/qVJzeB8)

[GitHub](https://github.com/RWDevathon/Android-Tiers-Reforged)

Special thanks to:
* Atlas - The true original creator
* ARandomKiwi - Creator of the wonderous and incredible AT++ content and maintainer
* FG_Remastered - PR overlord, diplomat, integral supporter
* lazycooken - Jumpstarter and eager supporter
* Winterbloom - Graphic and xml supporter
* Kitty Of Pathos - Gynoid textures
* JGH - Donated graphics for simplified buildings
* Android Tiers Discord - The endless whirlpool of ideas, assistance, and the home domain
* RimWorld Mod Development Discord - Incredible amounts of support and assistance

## Contributions

Contributions of any kind - except donated graphics, name lists, and of course bug/play testing - are not accepted for the core project. Enjoy and cherish it, but don't feel compelled to support.
